PHP Manual
Prev |  | Next

# pcntl_wtermsig

(PHP 4 >= 4.1.0, PHP 5)

pcntl_wtermsig -- Returns the signal which caused the child to terminate

## Description

int pcntl_wtermsig ( int status )

Returns the number of the signal that caused the child process to terminate. This function is only useful if pcntl_wifsignaled() returned `TRUE`.

## Parameters

`status`

  The parameter `status` is the status parameter supplied to a successfull call to pcntl_waitpid().

## Return Values

Returns the signal number, as an integer.

## See Also

pcntl_waitpid()
pcntl_signal()
pcntl_wifsignaled()

Prev | Home | Next
pcntl_wstopsig | Up | Regular Expression Functions (Perl-Compatible)